function result	=	testmenu(cmd)
% MATH 1B

% 17-Jan-1998: We wrote this (tinsel/was)
% 21-July-1998: revised (tinsel)
% 12-Aug-1998: revised (was)


main_title = 'Math 1BM';
lesson_tag = 'math_main_menu';

math_bkgnd = [.6 .8 1];

items_per_column = 5;

mod_names = {
	'First Order ODE Plotter'
	'Integrator'
	'Mass on a Spring'
	'Plotter'
	'Power Series'
	'Riemann Sums'
	'Sequences and Series'
	'Substitutor'
   'Taylor Series'
   'About These Modules...'
	};

mod_calls = {
	'firstorderode'
	'integrator'
	'massonaspring'
	'plotter'
	'powerseries'
	'rsum'
	'sequencesandseries'
	'substitutor'
	'taylorseries'
	'math1b(''credits'')'
	};



if ~nargin
	control_figures = findobj('tag', lesson_tag);

	if length(control_figures) == 0
		cmd = 'new';
	else
		figure(control_figures(1));
		cmd = 'NOCOMMAND';
	end
end
								
if strcmp(cmd, 'new')

	fig_han = figure(...
		'name', main_title,...
		'numbertitle', 'off',...
		'menubar', 'figure',...
		'units', 'pixels',...
		'position', [20 20 600 400],...
		'resize', 'off',...
		'color', math_bkgnd,...
		'tag', lesson_tag);

	uicontrol(fig_han,...
		'style', 'text',...
		'fontname', 'palatino',...
		'fontsize', 36,...
		'position', [20 340 300 48],...
		'horizontalalignment', 'left',...
		'backgroundcolor', math_bkgnd,...
		'string', main_title);

	for i = 1:length(mod_names)

		if (i <= items_per_column)
			button_position = [ 140 300-26*i 200 24  ];
		else
			button_position = [ 370 300-26*(i-items_per_column) 200 24 ];
		end
				
		uicontrol(fig_han,...
			'position', button_position,...
			'string', mod_names{i},...
			'callback', mod_calls{i});		
	end

elseif strcmp(cmd, 'credits')

	msgbox({...
		'These computer modules were written by Tom Insel and William'...
		'Stein.  Many were based on earlier work by Alex Gottlieb and'...
		'Julie Mitchell.'},...
		'Credits');	
	
end
