function result	=	testmenu(cmd)
% MATH 54

% 17-Jan-1998: We wrote this (tinsel/was)
% 21-July-1998: revised (tinsel)
% 12-Aug-1998: revised (was)


main_title = 'Math 54M';
lesson_tag = 'math_main_menu';

math_bkgnd = [.6 .8 1];

items_per_column = 8;

mod_names = {
   'Adjoint'
   'Change of Coordinates'
   'Eigenvisualizer'
   'Gaussian Elimination'
   '2D Geometry'
   'Gramm Schmidt'
   'Graph Animator'
   'System of Linear Equations'
   'Plotter'
   'Span 3D'
   'First Order ODE Plotter'
   'Fourier Series'
   'Integrator'
   'Mass on a Spring'
   '2D System of ODEs'
   '3D System of ODEs'
   'About These Modules...'
	};

mod_calls = {
   'adjoint'
   'chgofvar'
   'eigenvis'
   'gauss'
   'geom2d'
   'grammschmidt'
   'graphanimator'
   'linearsystem'
   'plotter'
   'span3d'
   'firstorderode'
   'fourierseries'
   'integrator'
   'massonaspring'
   'odesys2d'
   'odesys3d'
	'math54(''credits'')'
	};



if ~nargin
	control_figures = findobj('tag', lesson_tag);

	if length(control_figures) == 0
		cmd = 'new';
	else
      figure(control_figures(1));
		cmd = 'NOCOMMAND';
	end
end
								
if strcmp(cmd, 'new')

	fig_han = figure(...
		'name', main_title,...
		'numbertitle', 'off',...
		'menubar', 'figure',...
		'units', 'pixels',...
		'position', [20 20 600 400],...
		'resize', 'off',...
		'color', math_bkgnd,...
		'tag', lesson_tag);

	uicontrol(fig_han,...
		'style', 'text',...
		'fontname', 'palatino',...
		'fontsize', 36,...
		'position', [20 340 300 48],...
		'horizontalalignment', 'left',...
		'backgroundcolor', math_bkgnd,...
		'string', main_title);

	for i = 1:length(mod_names)

		if (i <= items_per_column)
			button_position = [ 140 300-26*i 200 24  ];
		else
			button_position = [ 370 300-26*(i-items_per_column) 200 24 ];
		end
				
		uicontrol(fig_han,...
			'position', button_position,...
			'string', mod_names{i},...
			'callback', mod_calls{i});		
	end

elseif strcmp(cmd, 'credits')

	msgbox({...
		'These computer modules were written by Tom Insel and William'...
		'Stein.  Many were based on earlier work by Alex Gottlieb and'...
		'Julie Mitchell.'},...
		'Credits');	
	
end
